# coding=utf-8
from django.db import models


class Language(models.Model):
    class Meta:
        app_label = 'web'

    name = models.CharField(max_length=20)
    image = models.ImageField()

    def __str__(self):
        return self.name

    def image_img(self):
        if self.image:
            return u'<img class="flag-icon" src="%s" />' % self.image.url
        else:
            return 'No image'

    image_img.short_description = 'Flag icon'
    image_img.allow_tags = True
